/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreValueparam;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreValueparamRecord extends UpdatableRecordImpl<TCoreValueparamRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_valueparam.pk_core_valueparam</code>.
     */
    public void setPkCoreValueparam(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valueparam.pk_core_valueparam</code>.
     */
    public Integer getPkCoreValueparam() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_valueparam.fk_valueparam_value</code>.
     */
    public void setFkValueparamValue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valueparam.fk_valueparam_value</code>.
     */
    public Integer getFkValueparamValue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_valueparam.param_key</code>. language
     * key of parameter key; must always be translated
     */
    public void setParamKey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valueparam.param_key</code>. language
     * key of parameter key; must always be translated
     */
    public String getParamKey() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_valueparam.param_value</code>. value of
     * param if there is one; must never be translated
     */
    public void setParamValue(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valueparam.param_value</code>. value of
     * param if there is one; must never be translated
     */
    public String getParamValue() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_valueparam.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_valueparam.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreValueparamRecord
     */
    public TCoreValueparamRecord() {
        super(TCoreValueparam.T_CORE_VALUEPARAM);
    }

    /**
     * Create a detached, initialised TCoreValueparamRecord
     */
    public TCoreValueparamRecord(Integer pkCoreValueparam, Integer fkValueparamValue, String paramKey, String paramValue, LocalDateTime lastchange) {
        super(TCoreValueparam.T_CORE_VALUEPARAM);

        setPkCoreValueparam(pkCoreValueparam);
        setFkValueparamValue(fkValueparamValue);
        setParamKey(paramKey);
        setParamValue(paramValue);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
